searchData={"items":[{"type":"module","title":"ChineseHoliday","doc":"Provides utilities for handling chinese holiday related problems.","ref":"ChineseHoliday.html"},{"type":"function","title":"ChineseHoliday.get_supported_years/0","doc":"Gets all the supported years.","ref":"ChineseHoliday.html#get_supported_years/0"},{"type":"function","title":"Examples - ChineseHoliday.get_supported_years/0","doc":"iex> ChineseHoliday.get_supported_years()\n    [2016, 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024, 2025]","ref":"ChineseHoliday.html#get_supported_years/0-examples"},{"type":"function","title":"ChineseHoliday.get_version/0","doc":"Gets the version of data.\n\nThe version is a plain `%DateTime{}`.","ref":"ChineseHoliday.html#get_version/0"},{"type":"function","title":"Examples - ChineseHoliday.get_version/0","doc":"iex> ChineseHoliday.get_version()\n    ~U[2024-11-30 12:41:00Z]","ref":"ChineseHoliday.html#get_version/0-examples"},{"type":"function","title":"ChineseHoliday.holiday?/1","doc":"Checks if a given date is a holiday.\n\nFollowing dates will be considered as holidays:\n\n* dates in holiday schedules which are published by State Council of the People's Republic of China,\n  aka. chinese statutory holiday.\n\n> To get the original information, please visit\n> [中华人民共和国中央人民政府 - 政府信息公开](http://www.gov.cn/zhengce/xxgk/index.htm),\n> and search '节假日'.","ref":"ChineseHoliday.html#holiday?/1"},{"type":"function","title":"Examples - ChineseHoliday.holiday?/1","doc":"# the holiday of lunar new year\n    iex> ChineseHoliday.holiday?(~D[2023-01-21])\n    true\n\n    # the holiday of lunar new year\n    iex> ChineseHoliday.holiday?(~D[2023-01-27])\n    true\n\n    # it's time to work ;)\n    iex> ChineseHoliday.holiday?(~D[2023-01-28])\n    false\n\n    # the holiday information is missing, so this function doesn't know how to handle it.\n    # in this case, it will log a warning message, and return `false`.\n    iex> ChineseHoliday.holiday?(~D[2090-01-28])\n    false","ref":"ChineseHoliday.html#holiday?/1-examples"},{"type":"function","title":"ChineseHoliday.working_day?/1","doc":"Checks if a given date is a working day.\n\nFollowing dates will be considered as working days:\n\n* dates marked as additional working days to compensate for the long holiday break.\n* dates which are normal weekdays (monday ~ friday), and are not in the duration of any holiday.","ref":"ChineseHoliday.html#working_day?/1"},{"type":"function","title":"Examples - ChineseHoliday.working_day?/1","doc":"# additional working days\n    iex> ChineseHoliday.working_day?(~D[2023-01-28])\n    true\n\n    iex> ChineseHoliday.working_day?(~D[2023-01-29])\n    true\n\n    # weekdays in the duration of one holiday\n    iex> ChineseHoliday.working_day?(~D[2023-01-27])\n    false\n\n    # normal weekdays\n    iex> ChineseHoliday.working_day?(~D[2023-01-30])\n    true\n\n    iex> ChineseHoliday.working_day?(~D[2023-01-31])\n    true\n\n    # normal weekends\n    iex> ChineseHoliday.working_day?(~D[2023-02-11])\n    false\n\n    # the working day information is missing, so this function doesn't know how to handle it.\n    # in this case, it will log a warning message, and return `false`.\n    iex> ChineseHoliday.working_day?(~D[2090-01-28])\n    false","ref":"ChineseHoliday.html#working_day?/1-examples"},{"type":"extras","title":"ChineseHoliday","doc":"# ChineseHoliday\n\n[![CI](https://github.com/cozy-elixir/chinese_holiday/actions/workflows/ci.yml/badge.svg)](https://github.com/cozy-elixir/chinese_holiday/actions/workflows/ci.yml) [![Hex.pm](https://img.shields.io/hexpm/v/chinese_holiday.svg)](https://hex.pm/packages/chinese_holiday)\n\nProvides utilities for handling chinese holiday related problems.\n\n> LOOKING FOR A MAINTAINER\n>\n> This package is currently in low-maintenance mode. If you are interested in maintaining it, please email me.","ref":"readme.html"},{"type":"extras","title":"Installation - ChineseHoliday","doc":"Add `:chinese_holiday` to the list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:chinese_holiday, \"~>  \"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - ChineseHoliday","doc":"For more information, see the [documentation](https://hexdocs.pm/chinese_holiday/ChineseHoliday.html).","ref":"readme.html#usage"},{"type":"extras","title":"Acknowledgments - ChineseHoliday","doc":"The raw data comes from [`bastengao/chinese-holidays-data`](https://github.com/bastengao/chinese-holidays-data).","ref":"readme.html#acknowledgments"},{"type":"extras","title":"License - ChineseHoliday","doc":"Apache License 2.0","ref":"readme.html#license"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"v1.0.0 - Changelog","doc":"- rename `is_working_day?` to `working_day?`\n- rename `is_holiday?` to `holiday?`","ref":"changelog.html#v1-0-0"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}